Subject: SEO Candidate - SATYARANJAN MISHRA
From: SATYARANJAN MISHRA <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 25 Aug 2022 14:10:59 -0400

| | SEO  Test

Name | SATYARANJAN MISHRA
E-mail | [email-masked]
Phone Number | (0) 6364401869
Where do you currently live (area) | Haryana

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | EZ Works | Digital Marketing Associate | - | 28,200
Previous Employer 1 | Millionify | Digital Marketing Intern | 06/05/2022 | 10,000
Previous Employer 2 | Digitalien | Digital Marketing Intern | 04/12/2020 | 5,000

Have you independently worked on SEO for any website?  If yes, what was the website, and what were the keywords? | Yes, I have worked independently on behalf of the Company on many websites. To name one of them, I worked on this website https://www.telehealth.com/. Some of the prominent keywords for this website were Telehealth Services, Telehealth, Online Doctors, Telehealth Care Companies, Virtual Doctors, Doctor on Demand, Telehealth Company, Plush Care Reviews, Health Tap, Online Doctors who perscribe and many more.
Have you done SEO for any international websites? If yes, which ones and in what countries were you working on ranking them? | Yes I have done SEO for many international websites. The above website which I mentioned https://www.telehealth.com/ was one of the top Client websites that I have worked on till now. This website got around 35K traffic per month during my tenure of work and I worked on ranking it mainly in USA.

Give a list of Keywords that you have ranked and name of websites

I have worked on many websites. Some of them are: -

Language Translation Services, Presentation Design Services, Audio Visual Production Services, Graphic Design Services, Research & Analytics Services & Data Processing Services for the website https://www.ez.works/.

Semrush, Groovefunnels, Shopify, Kajabi, Thinkific, Aweber, ActiveCampaign, Clickfunnels and many more for the website https://appsaware.com/.

Telehealth Services, Telehealth, Online Doctors, Telehealth Care Companies, Virtual Doctors, Doctor on Demand, Telehealth Company, Plush Care Reviews, Health Tap, Online Doctors who prescribe for the website https://www.telehealth.com/.

How do you do Keyword Research?

I initially start off with the broad topic keyword by checking it on Google and get the set of Secondary keywords and Long Tail Keywords recommended by Google and all these set of keywords come under my Organic Search Keywords.

Then I perform the keyword analysis for the above set of Keywords that I found during my Organic Search. I check their Search Volume and Keyword Difficulty and in the meanwhile, I also check the set of recommended keywords by the tools and add them to the list.

In case if I still don't have a sufficient list of keywords, then I perform Competitive research on some of the major keywords, and then I perform Keyword Rank Tracking Research on those Competitors using the SEO tool in my repertoire and complete my list of keywords required to assist top-notch quality content for the website.

What activities do you perform Off Page? | I perform a lot of Off Page activities like designing Microsites, Infographics, and Creating PPTs for Submission. I also work on publishing content on Web 2.0 Sites, Social Bookmarking Sites, Forums, and creating Backlink profiles on High Authority Websites. Along with all of this, I also publish Social Media Content related to the website on all the prominent platforms to increase the reach of the website.

| |